Connect integration resource to project
POST
https://api.vercel.com/v1/integrations/installations/{integrationConfigurationId}/resources/{resourceId}/connectionsConnects an integration resource to a Vercel project. This endpoint establishes a connection between a provisioned integration resource (from storage APIs like
POST /v1/storage/stores/integration/direct) and a specific Vercel project.https://api.vercel.com/v1/integrations/installations/{integrationConfigurationId}/resources/{resourceId}/connections
const response = await fetch('https://api.vercel.com/v1/integrations/installations/integrationConfigurationId/resources/resourceId/connections?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "projectId": "example_id" }),});
const data = await response.json();console.log(data);Response
{}AuthorizationbearerToken
Default authentication mechanism
integrationConfigurationIdstringRequired
resourceIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
projectIdstringRequired